Bug 1845614 - Error from /usr/lib/rpm/cmake3.prov
Summary: Error from /usr/lib/rpm/cmake3.prov
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: cmake3
Version: epel7
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
Assignee: Antonio T. sagitter
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-06-09 16:17 UTC by Brian Sipos
Modified: 2020-06-29 00:31 UTC (History)
2 users (show)

Fixed In Version: cmake3-3.17.3-2.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-06-29 00:31:47 UTC
Type: Bug


Attachments (Terms of Use)

Description Brian Sipos 2020-06-09 16:17:40 UTC
Description of problem:
This occurs when building RPM packages using cmake3 within the build scriptlet. I don't know if it's a general problem which happens even if cmake3 is not used by the package reporting the error messages, but I suspect so.

It looks like rpmbuild is attempting to execute "/usr/lib/rpm/cmake3.prov" as a shell script when in fact it's a python script but has no shebang at the top to indicate it's a python script.

Version-Release number of selected component (if applicable):
cmake3-3.17.1-2.el7

How reproducible:
Always

Steps to Reproduce:
1. Use %cmake3 within an RPM build section to build a library which itself produces cmake target files under /usr/lib64/cmake.
2. Run "rpmbuild -ba ..." on the spec file.
3. Observe the post-build packaging status messages include errors listed below.

Actual results:
Immedately after the "%doc" output and before the first "Provides: " line is the following:
/usr/lib/rpm/cmake3.prov: line 26: class: command not found
/usr/lib/rpm/cmake3.prov: line 27: syntax error near unexpected token `('
/usr/lib/rpm/cmake3.prov: line 27: `    def __init__(self, filelist = None):'


Expected results:
No rpmbuild errors related to cmake.

Additional info:

Comment 1 Brian Sipos 2020-06-09 16:18:44 UTC
This issue doesn't actually prevent the packages from being built. It may prevent some RPM "provides" being placed on the built packages though.

Comment 2 Fedora Update System 2020-06-11 16:19:10 UTC
FEDORA-EPEL-2020-90bdb794f4 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-90bdb794f4

Comment 3 Antonio T. sagitter 2020-06-11 16:21:29 UTC
Hi Brian.

Thank you very much for your feedback.
Please, try with the build 3.17.3-2

Comment 4 Fedora Update System 2020-06-14 04:55:54 UTC
cmake3-3.17.3-2.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-90bdb794f4

Comment 5 Fedora Update System 2020-06-29 00:31:47 UTC
FEDORA-EPEL-2020-90bdb794f4 has been pushed to the Fedora EPEL 7 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.